<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Fri Jan 15 11:04:43 CET 2021 -->
<title>Uses of Class fr.humanbooster.fx.gestion_de_series.business.Serie</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-01-15">
<meta name="description" content="use: package: fr.humanbooster.fx.gestion_de_series.business, class: Serie">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-use-page">
<script type="text/javascript">var pathtoroot = "../../../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Uses of Class fr.humanbooster.fx.gestion_de_series.business.Serie" class="title">Uses of Class<br>fr.humanbooster.fx.gestion_de_series.business.Serie</h1>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Packages that use <a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Package</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-first" scope="row"><a href="#fr.humanbooster.fx.gestion_de_series.business">fr.humanbooster.fx.gestion_de_series.business</a></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<th class="col-first" scope="row"><a href="#fr.humanbooster.fx.gestion_de_series.service">fr.humanbooster.fx.gestion_de_series.service</a></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<th class="col-first" scope="row"><a href="#fr.humanbooster.fx.gestion_de_series.service.impl">fr.humanbooster.fx.gestion_de_series.service.impl</a></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<th class="col-first" scope="row"><a href="#fr.humanbooster.fx.gestion_de_series.util">fr.humanbooster.fx.gestion_de_series.util</a></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<section class="class-uses">
<ul class="block-list">
<li>
<section class="detail" id="fr.humanbooster.fx.gestion_de_series.business">
<h2>Uses of <a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a> in <a href="../package-summary.html">fr.humanbooster.fx.gestion_de_series.business</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../package-summary.html">fr.humanbooster.fx.gestion_de_series.business</a> that return <a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code><a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a></code></td>
<th class="col-second" scope="row"><span class="type-name-label">Saison.</span><code><span class="member-name-link"><a href="../Saison.html#getSerie()">getSerie</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../package-summary.html">fr.humanbooster.fx.gestion_de_series.business</a> with parameters of type <a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>int</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Serie.</span><code><span class="member-name-link"><a href="../Serie.html#compareTo(fr.humanbooster.fx.gestion_de_series.business.Serie)">compareTo</a></span>&#8203;(<a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a>&nbsp;autreSerie)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Saison.</span><code><span class="member-name-link"><a href="../Saison.html#setSerie(fr.humanbooster.fx.gestion_de_series.business.Serie)">setSerie</a></span>&#8203;(<a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a>&nbsp;serie)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Constructors in <a href="../package-summary.html">fr.humanbooster.fx.gestion_de_series.business</a> with parameters of type <a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../Saison.html#%3Cinit%3E(java.lang.String,fr.humanbooster.fx.gestion_de_series.business.Serie)">Saison</a></span>&#8203;(java.lang.String&nbsp;nom,
<a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a>&nbsp;serie)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li>
<section class="detail" id="fr.humanbooster.fx.gestion_de_series.service">
<h2>Uses of <a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a> in <a href="../../service/package-summary.html">fr.humanbooster.fx.gestion_de_series.service</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../../service/package-summary.html">fr.humanbooster.fx.gestion_de_series.service</a> that return <a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code><a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a></code></td>
<th class="col-second" scope="row"><span class="type-name-label">SerieService.</span><code><span class="member-name-link"><a href="../../service/SerieService.html#ajouterSerie(java.lang.String,float)">ajouterSerie</a></span>&#8203;(java.lang.String&nbsp;nom,
float&nbsp;prixEnEuros)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code><a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a></code></td>
<th class="col-second" scope="row"><span class="type-name-label">SerieService.</span><code><span class="member-name-link"><a href="../../service/SerieService.html#recupererSerie(java.lang.Long)">recupererSerie</a></span>&#8203;(java.lang.Long&nbsp;id)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../../service/package-summary.html">fr.humanbooster.fx.gestion_de_series.service</a> that return types with arguments of type <a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>java.util.List&lt;<a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">SerieService.</span><code><span class="member-name-link"><a href="../../service/SerieService.html#recupererSeries()">recupererSeries</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../../service/package-summary.html">fr.humanbooster.fx.gestion_de_series.service</a> with parameters of type <a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code><a href="../Saison.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Saison</a></code></td>
<th class="col-second" scope="row"><span class="type-name-label">SaisonService.</span><code><span class="member-name-link"><a href="../../service/SaisonService.html#ajouterSaison(java.lang.String,fr.humanbooster.fx.gestion_de_series.business.Serie)">ajouterSaison</a></span>&#8203;(java.lang.String&nbsp;nom,
<a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a>&nbsp;serie)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>java.util.List&lt;<a href="../Saison.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Saison</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">SaisonService.</span><code><span class="member-name-link"><a href="../../service/SaisonService.html#recupererSaisons(fr.humanbooster.fx.gestion_de_series.business.Serie)">recupererSaisons</a></span>&#8203;(<a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a>&nbsp;serie)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li>
<section class="detail" id="fr.humanbooster.fx.gestion_de_series.service.impl">
<h2>Uses of <a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a> in <a href="../../service/impl/package-summary.html">fr.humanbooster.fx.gestion_de_series.service.impl</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../../service/impl/package-summary.html">fr.humanbooster.fx.gestion_de_series.service.impl</a> that return <a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code><a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a></code></td>
<th class="col-second" scope="row"><span class="type-name-label">SerieServiceImpl.</span><code><span class="member-name-link"><a href="../../service/impl/SerieServiceImpl.html#ajouterSerie(java.lang.String,float)">ajouterSerie</a></span>&#8203;(java.lang.String&nbsp;nom,
float&nbsp;prixEnEuros)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code><a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a></code></td>
<th class="col-second" scope="row"><span class="type-name-label">SerieServiceImpl.</span><code><span class="member-name-link"><a href="../../service/impl/SerieServiceImpl.html#recupererSerie(java.lang.Long)">recupererSerie</a></span>&#8203;(java.lang.Long&nbsp;id)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../../service/impl/package-summary.html">fr.humanbooster.fx.gestion_de_series.service.impl</a> that return types with arguments of type <a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>java.util.List&lt;<a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">SerieServiceImpl.</span><code><span class="member-name-link"><a href="../../service/impl/SerieServiceImpl.html#recupererSeries()">recupererSeries</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../../service/impl/package-summary.html">fr.humanbooster.fx.gestion_de_series.service.impl</a> with parameters of type <a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code><a href="../Saison.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Saison</a></code></td>
<th class="col-second" scope="row"><span class="type-name-label">SaisonServiceImpl.</span><code><span class="member-name-link"><a href="../../service/impl/SaisonServiceImpl.html#ajouterSaison(java.lang.String,fr.humanbooster.fx.gestion_de_series.business.Serie)">ajouterSaison</a></span>&#8203;(java.lang.String&nbsp;nom,
<a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a>&nbsp;serie)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>java.util.List&lt;<a href="../Saison.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Saison</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">SaisonServiceImpl.</span><code><span class="member-name-link"><a href="../../service/impl/SaisonServiceImpl.html#recupererSaisons(fr.humanbooster.fx.gestion_de_series.business.Serie)">recupererSaisons</a></span>&#8203;(<a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a>&nbsp;serie)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li>
<section class="detail" id="fr.humanbooster.fx.gestion_de_series.util">
<h2>Uses of <a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a> in <a href="../../util/package-summary.html">fr.humanbooster.fx.gestion_de_series.util</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../../util/package-summary.html">fr.humanbooster.fx.gestion_de_series.util</a> with parameters of type <a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>int</code></td>
<th class="col-second" scope="row"><span class="type-name-label">ComparateurDeSerieParPrix.</span><code><span class="member-name-link"><a href="../../util/ComparateurDeSerieParPrix.html#compare(fr.humanbooster.fx.gestion_de_series.business.Serie,fr.humanbooster.fx.gestion_de_series.business.Serie)">compare</a></span>&#8203;(<a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a>&nbsp;serie1,
<a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a>&nbsp;serie2)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</section>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
